###################################################
### RefineTemplateManager configuration example ###
###################################################
# An example YAML configuration to modify.
# Call `RefineTemplateManager.from_yaml(path)` to load this configuration.
template_volume_path: maps/60S_map_px0.936_bscale0.5.mrc
particle_stack:
  df_path: results/results_match_template_60S_edit.csv  # Needs to be readable by pandas
  extracted_box_size: [512, 512]
  original_template_size: [512, 512]
defocus_refinement_config:
  enabled: false
  defocus_max:  100.0  # in Angstroms, relative to "best" defocus value in particle stack dataframe
  defocus_min: -100.0  # in Angstroms, relative to "best" defocus value in particle stack dataframe
  defocus_step: 20.0   # in Angstroms
orientation_refinement_config:
  enabled: false
  psi_step_coarse:     1.5   # in degrees
  psi_step_fine:       0.05  # in degrees
  theta_step_coarse:   2.5   # in degrees
  theta_step_fine:     0.05  # in degrees
pixel_size_refinement_config:
  enabled: false
  pixel_size_min: -0.005
  pixel_size_max: 0.005
  pixel_size_step: 0.001
preprocessing_filters:
  whitening_filter:
    do_power_spectrum: true
    enabled: true
    max_freq: 1.0  # In terms of Nyquist frequency
    num_freq_bins: null
  bandpass_filter:
    enabled: false
    falloff: null
    high_freq_cutoff: null
    low_freq_cutoff: null
computational_config:
  gpu_ids: 
  - 0
  - 1
  - 2
  - 3
  num_cpus: 1